//会员管理
// JScript 文件


//000000会员管理列表开始
var MemberInfoStore;
MemberInfoManage = function(node) {//分页每页显示数量	 
    var pageSize = 12;
    //指定列参数

    var MemberInfofields = ["ID", "UserName", "UserPwd", "Roleid", "Intro", "Logo", "UserState", "ClassId", "Mobile", "Email", "Address", "Phone", "QQ", "MSN", "Sex", "BirthDay", "ZipCode", "Fax", "Oline", "Regtime", "LastLogintime", "LastLoginIp", "Areid","Name"];
    MemberInfoStore = new Ext.data.GroupingStore({
        proxy: new Ext.data.HttpProxy(
           {
               url: "/MCScriptManageServices/AllMember.aspx",
               method: "POST"
           }),
        reader: new Ext.data.JsonReader(
           {
               fields: MemberInfofields,
               root: "data",
               id: "ID",
               totalProperty: "totalCount"

           })
    });
    MemberInfoStore.load({ params: { start: 0, limit: pageSize} });




    //--------------------------------------------------列选择模式
    var sm = new Ext.grid.CheckboxSelectionModel({
    //dataIndex:"id"
});
//--------------------------------------------------列头
var cm = new Ext.grid.ColumnModel([
		sm,
{
    header: "用户名",
    dataIndex: "UserName",
    tooltip: "用户名",
    sortable: true
}, {
    header: "姓名",
    tooltip: "姓名",
    dataIndex: "userName",
    sortable: true
}, {
    header: "电子邮件",
    tooltip: "电子邮件",
    dataIndex: "Email",
    sortable: true
}]);


    var MemberInfoGrid = new Ext.grid.GridPanel({
        id: "MemberInfoGrid",
        store: MemberInfoStore,
        sm: sm,
        cm: cm,
        loadMask: true,
        stripeRows: true,
        //autoExpandColumn:7,
        //超过长度带自动滚动条
        autoScroll: true,
        border: false,
        view: new Ext.grid.GroupingView({
            //自动填充
            forceFit: true,
            sortAscText: '正序排列',
            sortDescText: '倒序排列',
            columnsText: '列显示/隐藏',
            groupByText: '根据本列分组',
            showGroupsText: '是否采用分组显示',
            groupTextTpl: '{text} (<font color=red><b>{[values.rs.length]}</b></font> {[values.rs.length > 0 ? "条器件信息" : "暂无器件信息"]})'
        }),
        //分页
        bbar: new Ext.PagingToolbar({
            store: MemberInfoStore,
            pageSize: pageSize,
            //显示右下角信息
            displayInfo: true,
            displayMsg: '当前记录 {0} -- {1} 条 共 {2} 条记录',
            emptyMsg: "No results to display",
            prevText: "上一页",
            nextText: "下一页",
            refreshText: "刷新",
            lastText: "最后页",
            firstText: "第一页",
            beforePageText: "当前页",
            afterPageText: "共{0}页"

        }),
        tbar: [
		new Ext.Toolbar.Fill()
		, "", "-", "",
			{
			    text: "刷新信息",
			    //默认样式为按下
			    //pressed:true,
			    tooltip: "刷新当前页面信息",
			    iconCls: "refreshicon",
			    handler: function() {
			        MemberInfoStore.reload();
			    }
			}, "", "-"
		,
		{
		    text: "添加",
		    tooltip: "添加用户信息",
		    iconCls: "addicon",
		    handler: AddMemberInfoFn
		}, "", "-", "", {
		    text: "编辑",
		    tooltip: "编辑用户信息",
		    iconCls: "editicon",
		    handler: EditMemberInfoFn
		}, "", "-", "", {
		    text: "删除",
		    tooltip: "删除用户信息",
		    iconCls: "deleteicon",
		    handler: DelMemberInfoFn

		}, "-"], listeners: {
		    'contextmenu': function(e) {
		        e.stopEvent();
		    },
		    'rowcontextmenu': function(grid, rowIndex, e) {
		        e.stopEvent();
		    }
		}
    });



    GridMain(node, MemberInfoGrid, "usericon");
}

function DelMemberInfoFn() {
    var row = Ext.getCmp("MemberInfoGrid").getSelectionModel().getSelections();
    if (row.length == 0) {
        Ext.Msg.alert("提示信息", "请您至少选择一个!");
    }
    else {
        Ext.Msg.confirm("提示!", "您确定要删除该用户信息吗?", function(btn) {
            if (btn == "yes") {
                DelMemberInfoFns(row);
            }
            else {

            }
        })
    }
}

function EditMemberInfoFn() {
    var row = Ext.getCmp("MemberInfoGrid").getSelectionModel().getSelections();
    if (row.length == 0) {
        Ext.Msg.alert("提示信息", "您没有选中任何行!");
    }
    else if (row.length > 1) {

        Ext.Msg.alert("提示信息", "对不起只能选择一个!");
    } else if (row.length == 1) {

        AddMemberInfos(row[0]); //传行一行记录直接加载
    }
}

//000000会员管理管理结束
//000000会员管理添加开始


AddMemberInfoFn = function() {
    //------用户类型

var AddClassRoleFields = Ext.data.Record.create([
        { name: 'ID', mapping: 'ID' }, { name: 'ClassName', mapping: 'ClassName' }
    ]);

var AddClassStore = new Ext.data.Store({
    proxy: new Ext.data.HttpProxy({
        url: '/MCScriptManageServices/ClassInfoByPid.aspx?id=97'
    }),
    reader: new Ext.data.JsonReader({
        root: 'data',
        id: 'ID'
    },
           AddClassRoleFields
            )
});
AddClassStore.load();



    var AddMemberInfoForm = new Ext.form.FormPanel({
        width: 315,
        plain: true,
        layout: "form",
        defaultType: "textfield",
        labelWidth: 60,
        baseCls: "x-plain",
        defaults: { anchor: "95%", msgTarget: "side" },
        buttonAlign: "center",
        bodyStyle: "padding:0 0 0 0",
        items: [
        //    var MemberInfofields = ["ID", "UserName", "UserPwd", "Roleid", "Intro",
        // "Logo", "UserState", "ClassId", "Mobile", "Email", "Address", "Phone", "QQ", 
        //"MSN", "Sex", "BirthDay", "ZipCode", "Fax", "Oline", "Regtime", "LastLogintime", "LastLoginIp", "Areid","Name"];
    
			{
			    name: "UserName",
			    fieldLabel: "登陆帐号",
			    allowBlank: false,
			    blankText: "帐号不允许为空"
			}, {
			name: "UserPwd",
			    fieldLabel: "密码",
			    allowBlank: false,
			    blankText: "密码不能为空",
			    inputType: "password"
			}, {
			    name: "username",
			    fieldLabel: "姓名",
			    allowBlank: false,
			    blankText: "姓名不能为空",
			    regex: /^[\s\S]{1,10}$/,
			    regexText: "姓名请不要超过10个字符"
			}, {

			name: "Sex",
			    xtype: "combo",
			    fieldLabel: "性别",
			    //传入后台真实值value field /value
			    hiddenName: "userstate",
			    editable: false,
			    mode: "local",
			    displayField: "show",
			    valueField: "value",
			    triggerAction: "all",
			    value: "0",
			    store: new Ext.data.SimpleStore({
			        fields: ["show", "value"],
			        data: [["女", "0"], ["男", "1"]]
			    })
			}, {
			name: "Phone",
			    fieldLabel: "电话"
			}, {
			name: "Address",
			    fieldLabel: "地址"
			}, {
			name: "ZipCode",
			    fieldLabel: "邮编"
			}
			, {
			name: "Mobile",
			    fieldLabel: "手机"
			}, {
			name: "Email",
			    fieldLabel: "电邮"
			}, {
			    name: "QQ",
			    fieldLabel: "QQ"
			}, {
			    name: "MSN",
			    fieldLabel: "MSN"
			}, 
        			{

        		    xtype: "combo",
        		    tpl: '<tpl for="."><div ext:qtip="{ClassName}" class="x-combo-list-item">{ClassName}</div></tpl>',
					    store: AddClassStore,
        			    typeAhead: true,
        			    fieldLabel: '角色',
        			    hiddenName: 'ClassId',
        			    name: 'ClassId',
        			    forceSelection: true,
        			    triggerAction: 'all',
        			    emptyText: '选择角色类型',
        			    selectOnFocus: true,
        			    width: 130,
        			    editable: false,
        			    allowBlank: false,
       			    blankText: '请选择角色类型',
       			    displayField: 'ClassName',
        	    valueField: 'ID',
       			    mode: 'remote'
        			}, 
			{
			    name: "Intro",
			fieldLabel: "简介",
			allowBlank: false,
			blankText: "简介"

}
			]
    });


    var AddMemberInfoWin = new Ext.Window({
        title: "添加新用户",
        width: 350,
        plain: true,
        layout: "form",
        iconCls: "addicon",
        //不可以随意改变大小
        resizable: false,
        //是否可以拖动
        //draggable:false,
        defaultType: "textfield",
        labelWidth: 100,
        collapsible: true, //允许缩放条
        closeAction: 'hide',
        closable: true,
        //弹出模态窗体
        modal: 'true',
        buttonAlign: "center",
        bodyStyle: "padding:10px 0 0 15px",
        items: [AddMemberInfoForm],
        listeners: {
            "show": function() {
                AddMemberInfoForm.getForm().reset();
            }
        },
        buttons: [{
            text: "保存信息",
            minWidth: 70,
            handler: function() {
                if (AddMemberInfoForm.getForm().isValid()) {
                    //弹出效果
                    Ext.MessageBox.show
                                (
                                    {
                                        msg: '正在保存，请稍等...',
                                        progressText: 'Saving...',
                                        width: 300,
                                        wait: true,
                                        waitConfig: { interval: 200 },
                                        icon: 'download',
                                        animEl: 'saving'
                                    }
                                );
                    setTimeout(function() { }, 1000);
                    AddMemberInfoForm.form.submit({
                    url: "/MCScriptManageServices/AddMember.aspx",
                        method: "POST",
                        success: function(form, action) {
                            //成功后
                            var flag = action.result.success;
                            if (flag == "true") {
                                Ext.MessageBox.alert("恭喜", "添加新用户成功!");
                                MemberInfoStore.reload();
                                AddMemberInfoWin.hide();
                            } else if (flag == "false") {

                                var reson = action.result.reson;
                                //Ext.MessageBox.alert("提示",""+reson+"!");
                                if (reson != "undefined")
                                    Ext.MessageBox.alert("提示", "系统已存在此用户名!");
                            }
                        },
                        failure: function(form, action) {
                            Ext.MessageBox.alert("提示!", "添加新用户失败!");
                        }
                    });
                }
            }
        }, {
            text: "重置",
            minWidth: 70,
            qtip: "重置数据",
            handler: function() {
                AddMemberInfoForm.getForm().reset();
            }
        }, {
            text: "取 消",
            minWidth: 70,
            handler: function() {
                AddMemberInfoWin.hide();
            }
}]

        });
        AddMemberInfoWin.show();
    }

    //000000会员管理添加结束
    //000000会员管理编辑开始
    AddMemberInfos = function(row) {
        //------用户类型
        var AddClassRoleFields = Ext.data.Record.create([
        { name: 'ID', mapping: 'ID' }, { name: 'ClassName', mapping: 'ClassName' }
    ]);

    var AddClassStore = new Ext.data.Store({
        proxy: new Ext.data.HttpProxy({
            url: '/MCScriptManageServices/ClassInfoByPid.aspx?id=97'
        }),
        reader: new Ext.data.JsonReader({
            root: 'data',
            id: 'ID'
        },
           AddClassRoleFields
            )
    });
    AddClassStore.load();

        var EditMemberInfoForm = new Ext.form.FormPanel({
            width: 315,
            plain: true,
            layout: "form",
            defaultType: "textfield",
            labelWidth: 60,
            baseCls: "x-plain",
            defaults: { anchor: "95%", msgTarget: "side" },
            buttonAlign: "center",
            bodyStyle: "padding:0 0 0 0",
            items: [
						{
						    xtype: 'hidden',
						    name: "ID",
						    fieldLabel: "登录帐号",
						    allowBlank: false,
						    blankText: "帐号不允许为空",
						    readOnly: true
						}, {
						    name: "UserName",
						    fieldLabel: "登陆帐号",
						    allowBlank: false,
						    blankText: "帐号不允许为空"
						}, {
						    name: "UserPwd",
						    fieldLabel: "密码",
						    allowBlank: false,
						    blankText: "密码不能为空",
						    inputType: "password"
						}, {
						    name: "name",
						    fieldLabel: "姓名",
						    allowBlank: false,
						    blankText: "姓名不能为空",
						    regex: /^[\s\S]{1,10}$/,
						    regexText: "姓名请不要超过10个字符"
						}, {

						    name: "Sex",
						    xtype: "combo",
						    fieldLabel: "性别",
						    //传入后台真实值value field /value
						    hiddenName: "userstate",
						    editable: false,
						    mode: "local",
						    displayField: "show",
						    valueField: "value",
						    triggerAction: "all",
						    value: "0",
						    store: new Ext.data.SimpleStore({
						        fields: ["show", "value"],
						        data: [["女", "0"], ["男", "1"]]
						    })
						}, {
						    name: "Phone",
						    fieldLabel: "电话"
						}, {
						    name: "Address",
						    fieldLabel: "地址"
						}, {
						    name: "ZipCode",
						    fieldLabel: "邮编"
						}
			, {
			    name: "Mobile",
			    fieldLabel: "手机"
			}, {
			    name: "Email",
			    fieldLabel: "电邮"
			}, {
			    name: "QQ",
			    fieldLabel: "QQ"
			}, {
			    name: "MSN",
			    fieldLabel: "MSN"
			},
        			{

        			    xtype: "combo",
        			    tpl: '<tpl for="."><div ext:qtip="{ClassName}" class="x-combo-list-item">{ClassName}</div></tpl>',
        			    store: AddClassStore,
        			    typeAhead: true,
        			    fieldLabel: '角色',
        			    hiddenName: 'ClassId',
        			    name: 'ClassId',
        			    forceSelection: true,
        			    triggerAction: 'all',
        			    emptyText: '选择角色类型',
        			    selectOnFocus: true,
        			    width: 130,
        			    editable: false,
        			    allowBlank: false,
        			    blankText: '请选择角色类型',
        			    displayField: 'ClassName',
        			    valueField: 'ID',
        			    mode: 'remote'
        			},
			{
			    name: "Intro",
			    fieldLabel: "简介",
			    allowBlank: false,
			    blankText: "简介"

			}
			]
        });


        var EditMemberInfoWin = new Ext.Window({
            title: "编辑用户信息",
            width: 350,
            plain: true,
            //layout:"form",
            iconCls: "addicon",
            //不可以随意改变大小
            resizable: false,
            //是否可以拖动
            //draggable:false,
            defaultType: "textfield",
            labelWidth: 100,
            collapsible: true, //允许缩放条
            closeAction: 'hide',
            closable: true,
            //弹出模态窗体
            modal: 'true',
            buttonAlign: "center",
            bodyStyle: "padding:10px 0 0 15px",
            items: [EditMemberInfoForm],
            listeners: {
                "show": function() {

                    EditMemberInfoForm.getForm().reset();
                    var classid_input = row.data.ID;
                    EditMemberInfoForm.form.load(
                                {
                                    url: "/MCScriptManageServices/GetMemberById.aspx?id=" + classid_input,
                                    method: "get",
                                    success: function(form, action) {

                                    },
                                    failure: function(form, action) {
                                        Ext.Msg.alert("提示信息", "对不起加载数据失败!请联系管理员");
                                    }
                                }
                    );
                }
            },
            buttons: [{
                text: "保存信息",
                minWidth: 70,
                handler: function() {
                    if (EditMemberInfoForm.getForm().isValid()) {
                        //弹出效果
                        Ext.MessageBox.show
                                (
                                    {
                                        msg: '正在保存，请稍等...',
                                        progressText: 'Saving...',
                                        width: 300,
                                        wait: true,
                                        waitConfig: { interval: 200 },
                                        icon: 'download',
                                        animEl: 'saving'
                                    }
                                );
                        setTimeout(function() { }, 1000);
                        EditMemberInfoForm.form.submit({
                        url: "/MCScriptManageServices/UpdateMember.aspx",
                            method: "POST",
                            success: function(form, action) {
                                //成功后
                                var flag = action.result.success;
                                if (flag == "true") {
                                    Ext.MessageBox.alert("恭喜", "保存用户信息成功!");
                                    MemberInfoStore.reload();
                                    EditMemberInfoWin.hide();
                                } else if (flag == "false") {

                                    Ext.MessageBox.alert("提示", "您的用户名可能系统中已经存在，请换一个用户名试下!");
                                    MemberInfoStore.reload();
                                    EditMemberInfoWin.hide();
                                }
                            },
                            failure: function(form, action) {
                                Ext.MessageBox.alert("提示!", "保存用户信息失败!");
                            }
                        });
                    }
                }
            }, {
                text: "重置",
                minWidth: 70,
                qtip: "重置数据",
                handler: function() {
                    var classid_input = row.data.id;
                    EditMemberInfoForm.form.load(
                                {
                                    url: "/MCScriptManageServices/GetMemberById.aspx?id=" + classid_input,
                                    method: "get",
                                    success: function(form, action) {

                                    },
                                    failure: function(form, action) {
                                        Ext.Msg.alert("提示信息", "对不起加载数据失败!请联系管理员");
                                    }
                                }
                    );
                }
            }, {
                text: "取 消",
                minWidth: 70,
                handler: function() {
                    EditMemberInfoWin.hide();
                }
}]

            });
            EditMemberInfoWin.show();
        }

        //000000会员管理编辑结束
        //000000会员管理删除开始

        DelMemberInfoFns = function(row) {
            var deletesplit = "";
            for (var i = 0; i < row.length; i++) {
                if (row.length == 1) {
                    deletesplit = row[i].data.ID;
                }
                else {

                    if (i < (row.length - 1)) {
                        deletesplit = row[i].data.ID + "," + deletesplit;
                    }
                    if (i == (row.length - 1)) {
                        deletesplit = deletesplit + row[i].data.ID;
                    }
                }
            }
            Ext.Ajax.request({
            url: "/MCScriptManageServices/DeleteMember.aspx",
                method: "POST",
                params: {
                    id: deletesplit
                },
                success: function() {
                    MemberInfoStore.reload();
                },
                failure: function() {
                    Ext.Msg.alert("提 示", "删除失败了!");
                }
            });
        }

        //000000会员管理删除结束